<template>
  <div
    class="d-flex justify-center align-center"
    style="height: 100%; width: 100%"
  >
    <div>
      <div class="d-flex justify-center">
        <v-progress-circular size="36" indeterminate color="#076CE3">
        </v-progress-circular>
      </div>
      <p class="mb-0 text-center mt-3" style="font-size: 24px">
        Payment is processing...
      </p>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";

@Component({
  components: {},
})
export default class Stripe3sstPage extends Vue {
  mounted() {
    //@ts-ignore
    const { stripe } = this.$route.query;
    if (stripe) {
      //@ts-ignore
      window.top.postMessage("3DS-authentication-complete");
    }
  }
}
</script>
<style lang="css"></style>
